{% extends "base.njk" %}

{% block content %}
<div  ng-controller="recent_messages">
    
    <h3>{{i18n.messages}}</h3>
    <table id="block-table" class="txns" ng-controller="recent_messages">
        <thead>
            <tr>
                <td class="time">{{i18n.Time}}</td>
                <td class="txhash mobile-hide">{{i18n.messages}}</td>
            </tr>
        </thead>
        <tbody id="block-list">
            <tr ng-if="messages.length > 0" ng-repeat="tx in messages">
                <td class="time mobile-hide ">${tx.time | realstr}</td>
                <td style="line-height: 1.6;max-width: 600px">

                    <a href="/tx/${tx.txid}">${tx.data.title}</a>
                    <p style="padding:5px;margin-top: 2px">
                        ${tx.data.content}
                    </p>
                </td>
            </tr>
            <tr ng-if="messages.length == 0">
                <td colspan="5">
                    {% include "spinner.njk" %}
                </td>
            </tr>
        </tbody>
    </table>
</div>
{% endblock %}